Index: tests/regression/Parser/Mpqc/pre/testCLHF_n.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/testCLHF_n.in	(revision 08a09eda63c7b6467c04ef827e51433887a52fcc)
+++ tests/regression/Parser/Mpqc/pre/testCLHF_n.in	(revision 08a09eda63c7b6467c04ef827e51433887a52fcc)
@@ -0,0 +1,22 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLHF>: (
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ n atoms geometry } = {
+		1	O [ -0.505735	0	0 ]
+		2	H [ 0.252867	0	0.504284 ]
+		3	H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/pre/testCLHF_n_ascend_ids.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/testCLHF_n_ascend_ids.in	(revision 08a09eda63c7b6467c04ef827e51433887a52fcc)
+++ tests/regression/Parser/Mpqc/pre/testCLHF_n_ascend_ids.in	(revision 08a09eda63c7b6467c04ef827e51433887a52fcc)
@@ -0,0 +1,22 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLHF>: (
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ n atoms geometry } = {
+		1	O [ -0.505735	0	0 ]
+		2	H [ 0.252867	0	0.504284 ]
+		4	H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/pre/testCLHF_n_mixed_ids.in
===================================================================
--- tests/regression/Parser/Mpqc/pre/testCLHF_n_mixed_ids.in	(revision 08a09eda63c7b6467c04ef827e51433887a52fcc)
+++ tests/regression/Parser/Mpqc/pre/testCLHF_n_mixed_ids.in	(revision 08a09eda63c7b6467c04ef827e51433887a52fcc)
@@ -0,0 +1,22 @@
+mpqc: (
+	savestate = no
+	do_gradient = yes
+	mole<CLHF>: (
+		molecule = $:molecule
+		basis = $:basis
+		maxiter = 1000
+		memory = 16000000
+	)
+)
+molecule<Molecule>: (
+	unit = angstrom
+	{ n atoms geometry } = {
+		2	H [ 0.252867	0	0.504284 ]
+		1	O [ -0.505735	0	0 ]
+		3	H [ 0.252867	0	-0.504284 ]
+	}
+)
+basis<GaussianBasisSet>: (
+	name = "3-21G"
+	molecule = $:molecule
+)
Index: tests/regression/Parser/Mpqc/testsuite-parser-mpqc-load.at
===================================================================
--- tests/regression/Parser/Mpqc/testsuite-parser-mpqc-load.at	(revision 0d97b4b7169d73c32a31da6e1baa10b740848f7e)
+++ tests/regression/Parser/Mpqc/testsuite-parser-mpqc-load.at	(revision 08a09eda63c7b6467c04ef827e51433887a52fcc)
@@ -25,4 +25,13 @@
 AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
 
+file=testCLHF_n.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n.in], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n_mixed_ids.in], 134, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n_ascend_ids.in], 0, [ignore], [stderr])
+AT_CHECK([grep "n index is not simply" stderr], 0, [ignore], [ignore])
+
 file=testCLKS.in
 AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLKS.in], 0, [ignore], [ignore])
@@ -45,4 +54,7 @@
 file=emptyCLHF.in
 AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF.in --undo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/empty.in], 0, [ignore], [ignore])
+
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n.in --undo], 0, [ignore], [ignore])
 AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/empty.in], 0, [ignore], [ignore])
 
@@ -69,4 +81,8 @@
 AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
 
+file=testCLHF_n.in
+AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLHF_n.in --undo --redo], 0, [ignore], [ignore])
+AT_CHECK([diff -I '%.*' $file ${abs_top_srcdir}/tests/regression/Parser/Mpqc/post/testCLHF.in], 0, [ignore], [ignore])
+
 file=testCLKS.in
 AT_CHECK([../../molecuilder -i $file -o mpqc -l ${abs_top_srcdir}/tests/regression/Parser/Mpqc/pre/testCLKS.in --undo --redo], 0, [ignore], [ignore])
